goLaTeX - Mein LaTeX-Forum

Mein LaTeX-Forum


Login  | Registrieren
Forum
      Option
[Erweitert]
  • Diese Seite weiterempfehlen
     


Gehe zu:  
Neues Thema eröffnen Neue Antwort erstellen

tex\latex\l3experimental\l3str\l3regex.sty

 

Franz_Tri
Gast

Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 18.06.2017, 21:30     Titel: tex\latex\l3experimental\l3str\l3regex.sty
  Antworten mit Zitat      
Guten Abend,
Ich bin auf ein kleines Problem gestoßen.

Ich wollte das Package mhchem benutzen. Dachte eigentlich ich hatte das davor mal verwendet. Jedenfalls gibt mir pdflatex folgendes Ptoblem aus.

Wie es aussieht fehlt folgendes: tex\latex\l3experimental\l3str\l3regex.sty

Wie kann ich denn diesen fehler korrigieren?

Hier das Log-File

2017-06-18 21:24:17,505+0200 INFO pdflatex - installing package l3experimental triggered by tex\latex\l3experimental\l3str\l3regex.sty
2017-06-18 21:24:18,666+0200 INFO pdflatex - mpm: starting package maintenance...
2017-06-18 21:24:18,666+0200 INFO pdflatex - mpm: installation directory: "C:\Program Files (x86)\MiKTeX 2.9"
2017-06-18 21:24:18,666+0200 INFO pdflatex - mpm: package repository: http://ctan.org/tex-archive/systems/win32/miktex/tm/packages/
2017-06-18 21:24:18,767+0200 INFO pdflatex - mpm: lightweight database digest: 27b0221f61a399cc1c6b47b673300634
2017-06-18 21:24:18,771+0200 INFO pdflatex - mpm: going to download 1715940 bytes
2017-06-18 21:24:18,771+0200 INFO pdflatex - mpm: going to install 35 file(s) (1 package(s))
2017-06-18 21:24:18,773+0200 INFO pdflatex - mpm: downloading http://ctan.org/tex-archive/systems.....3experimental.tar.lzma...
2017-06-18 21:24:20,920+0200 INFO pdflatex - mpm: 1715940 bytes, 781.59 KB/Sec
2017-06-18 21:24:21,993+0200 INFO pdflatex - mpm: extracting files from l3experimental.tar.lzma...
2017-06-18 21:24:23,285+0200 FATAL pdflatex - The installed file does not exist.
2017-06-18 21:24:23,285+0200 FATAL pdflatex - Info: fileName="C:\Program Files (x86)\MiKTeX 2.9\\tex\latex\l3experimental\l3str\l3regex.sty"
2017-06-18 21:24:23,285+0200 FATAL pdflatex - Source: Libraries\MiKTeX\Core\Session\findfile.cpp
2017-06-18 21:24:23,285+0200 FATAL pdflatex - Line: 56

Vielen Dank schonmal.

Mfg Franz

Gast


Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 18.06.2017, 22:13     Titel:
  Antworten mit Zitat      
Paket auf CTANl3regex ist nicht länger experimentell und daher nun in Paket auf CTANl3kernel. Aktualisiere mal das Repository, damit MiKTeX die Änderung bei Dir auch mitbekommt.

iTob
Forum-Meister
Forum-Meister


Beiträge: 1180
Anmeldedatum: 19.04.10
Wohnort: ---
Version: TeX Live auf OS X
     Beitrag Verfasst am: 18.06.2017, 23:27     Titel:
  Antworten mit Zitat      
Mit anderen Worten sobald du in einer aktuellen TeX-Distribution ein Paket lädst, dass die LaTeX3-Funktionen bereit stellt ist der regex-Kram mit drin und muss nicht mehr extra geladen werden.
_________________

Ich biete Hilfe, Beratung und Schulung für alle Fragen rund um TeX, Buchgestaltung und Textsatz, sowie Grafik- und Kommunikationsdesign.
Mehr Infos und Kontakt unter tobiw.de.

Hier schreibe ich über TeX: Mein Blog „TeX-Beispiel des Monats“ (Deutsch) und TeX.tips (Englisch).
Private Nachricht senden Benutzer-Profile anzeigen

cgnieder
Forum-Meister
Forum-Meister


Beiträge: 688
Anmeldedatum: 22.10.10
Wohnort: Herrenberg
Version: TeX Live 2016
     Beitrag Verfasst am: 19.06.2017, 10:25     Titel:
  Antworten mit Zitat      
Noch besser wäre, auch Paket auf CTANmhchem selbst würde ein Update erfahren und die Abhängigkeit zu l3regex verlieren… jemand sollte Martin Bescheid sagen
_________________

Clemens
------------------------------
Paket auf CTANchemmacros · Paket auf CTANchemformula · Paket auf CTANleadsheets · Paket auf CTANtranslations · Paket auf CTANxsim.
Private Nachricht senden Benutzer-Profile anzeigen

JenniM
Forum-Anfänger
Forum-Anfänger

Beiträge: 11
Anmeldedatum: 22.05.17
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 22.08.2017, 12:41     Titel:
  Antworten mit Zitat      
Hallo,

ich hänge mich mal hier ans Thema dran, weil ich glaube das gleiche Problem zu haben. Ich habe ein TeX Dokument, das mir hier auf dem Computer (auf meinem Arbeitsplatzrechner allerdings nicht) die folgende Warnung ausgibt:



Code • Öffne in Overleaf
This is file `l3regex.sty',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% l3oldmodules.dtx  (with options: `l3regex,oldmodules')
%%
%% Copyright (C) 1990-2017 The LaTeX3 Project
%%
%% It may be distributed and/or modified under the conditions of
%% the LaTeX Project Public License (LPPL), either version 1.3c of
%% this license or (at your option) any later version.  The latest
%% version of this license is in the file:
%%
%%    http://www.latex-project.org/lppl.txt
%%
%% This file is part of the "l3kernel bundle" (The Work in LPPL)
%% and all files in that bundle must be distributed together.
%%
%% File: l3oldmodules.dtx Copyright (C) 2014,2016,2017 The LaTeX3 Project
\def\old@liii@module@name
{l3regex}
\ProvidesPackage\old@liii@module@name
  [%
    2017/03/18 Obsolete L3 package
  ]
\typeout{*****************************************************************}
\typeout{** }
\typeout{** Package \old@liii@module@name\space is obsolete and has been removed!}
\typeout{** }
\typeout{** Its functionality is now only provided as part of the expl3 package.}
\typeout{** }
\typeout{** The old packages will be removed entirely at the end of 2018.}
\typeout{** }
\typeout{** Therefore, please replace '\string\usepackage{\old@liii@module@name}'}
\typeout{** with '\string\usepackage{expl3}' in your documents as soon as possible.}
\typeout{** }
\typeout{*******************************************************************}
\PackageWarning
  \old@liii@module@name{This package is obsolete ---
   use 'expl3' instead
}
\RequirePackage{expl3}

%%
%%
%% End of file `l3regex.sty'.
 


Allerdings verstehe ich die oben angegebene Lösung nicht. Was bedeutet "das Repository aktualisieren"?

Viele grüße
Jenni
Private Nachricht senden Benutzer-Profile anzeigen

u_fischer
Forum-Meister
Forum-Meister

Beiträge: 3536
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 22.08.2017, 14:42     Titel:
  Antworten mit Zitat      
Die obige Frage hat mit deiner Warnung nichts zu tun. Bei dir lädt irgendein Paket l3regex, das ist nicht tragisch, aber das Paket sollte irgendwann geändert werden.
_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

JenniM
Forum-Anfänger
Forum-Anfänger

Beiträge: 11
Anmeldedatum: 22.05.17
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 22.08.2017, 14:48     Titel:
  Antworten mit Zitat      
Hallo Ulrike,

wie ändere ich das? Es muss ja mit meiner Installation von MikTeX oder TeXnicCenter zu tun haben.

Viele Grüße
Jenni
Private Nachricht senden Benutzer-Profile anzeigen

u_fischer
Forum-Meister
Forum-Meister

Beiträge: 3536
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 22.08.2017, 14:52     Titel:
  Antworten mit Zitat      
Du kannst es nicht ändern (außer du hast \usepackage{l3regex} in deinem Dokument). Das kann nur der Paketautor. Finde raus, welches Paket es ist, und schreibe ihm oder ihr.
_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

Neues Thema eröffnen Neue Antwort erstellen



Options and Permissions
Beiträge der letzten Zeit anzeigen:

Du kannst Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen
.

goLaTeX ist Teil der goForen
goForen.de goMATLAB.de goLaTeX.de goPCB.de


  Impressum | FAQ | goLaTeX RSS Button RSS-Feed

Copyright © 2008 - 2017 goLaTeX.de